/* eslint-disable @typescript-eslint/no-empty-interface */
// Generated code for namespace: org.accordproject.usa.business

// imports
import {IGeoCoordinates} from './org.accordproject.geo';
import {IPostalAddress} from './org.accordproject.address';
import {IConcept} from './concerto';

// interfaces
export enum BusinessEntity {
   GENERAL_PARTNERSHIP = 'GENERAL_PARTNERSHIP',
   LP = 'LP',
   LLP = 'LLP',
   LLLP = 'LLLP',
   LLC = 'LLC',
   PLLC = 'PLLC',
   CORP = 'CORP',
   PC = 'PC',
   DBA = 'DBA',
}

export interface IBusinessLicense extends IConcept {
   business_name: string;
   category: string;
   current_license_valid_from: Date;
   current_license_valid_to: Date;
   address: IPostalAddress;
   license_number: number;
   geocoded_location: IGeoCoordinates;
}

